#pragma once
#include "afxwin.h"
#include "LT_UVC_MFCDlg.h"

// CVideoSetting 对话框

class CVideoSetting : public CDialogEx
{
	DECLARE_DYNAMIC(CVideoSetting)

public:
	CVideoSetting(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CVideoSetting();
	int m_currIndex;
	int m_auto_play;
	CLT_UVC_MFCDlg *m_pParent;
// 对话框数据
	enum { IDD = IDD_VIDEO_SETTING };
	void  ShowForm();
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedSetOk();
	afx_msg void OnBnClickedSetNg();
	virtual BOOL OnInitDialog();
	CComboBox m_video_name_com;
	CComboBox m_audio_name_com;
	CComboBox m_video_res_com;
	afx_msg void OnCbnSelchangeVideoNameCom();
	afx_msg void OnCbnSelchangeVideoResCom();
	afx_msg void OnCbnSelchangeAudioCom();
	afx_msg void OnBnClickedAutoPlayCheck();
	CButton m_auto_play_check;
};
